Mailinglist Archive: opensuse-bugs (3112 mails)

< Previous Next >
[Bug 703592] New: openSUSE:11.4/apcupsd: Bug "/etc/init.d/apcupsd powerdown" doesn't work due to path/test issue
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sat, 2 Jul 2011 17:28:03 +0000
  • Message-id: <bug-703592-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=703592

https://bugzilla.novell.com/show_bug.cgi?id=703592#c0


Summary: openSUSE:11.4/apcupsd: Bug "/etc/init.d/apcupsd
powerdown" doesn't work due to path/test issue
Classification: openSUSE
Product: openSUSE.org
Version: unspecified
Platform: x86-64
OS/Version: openSUSE 11.4
Status: NEW
Severity: Major
Priority: P5 - None
Component: 3rd party software
AssignedTo: sbrabec@xxxxxxxxxx
ReportedBy: chris@xxxxxxxxxxxx
QAContact: opensuse-communityscreening@xxxxxxxxxxxxxxxxxxxxxx
Found By: Consulting
Blocker: ---


chris burton <chris@xxxxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Flag| |SHIP_STOPPER?, CCB_Review?

2 Issues close together, one masking the other.

1/ Path to apcupsd-lite incorrectly configured as:-
/usr/sbin/apcupsd-lite
instead of as :-
/sbin/apcupsd-lite
where it is correctly located by the rpm.

This allows powerdown of the ups at the end of OS shutdown, with only / mounted
and /usr dismounted, though /lib or /lib64 are still needed.

2/ -o instead of -a in test for both executables, so previous error is not
trapped.



diff -u of patch


--- /etc/init.d/apcupsd.old 2011-02-19 07:37:54.000000000 +0000
+++ /etc/init.d/apcupsd 2011-07-02 17:43:35.000000000 +0100
@@ -26,8 +26,8 @@
### END INIT INFO

APCUPSD=/usr/sbin/apcupsd
-APCUPSD_LITE=/usr/sbin/apcupsd-lite
-test -x $APCUPSD -o -x $APCUPSD_LITE || exit 5
+APCUPSD_LITE=/sbin/apcupsd-lite
+test -x $APCUPSD -a -x $APCUPSD_LITE || exit 5

# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status




Quick explanation of consequences of this bug.

When a power failure occurs, the UPS notifies the UPS daemon on the computer,
which waits for delay TIMEOUT set in /etc/apcupsd/apcupsd.conf for a power
reconnected notification, else it initiates a shutdown of the computer.

Once the computer has started to shut down, it will continue untill it actually
has shut down, and won't restart until it's power supply is cycled off and on
again by the UPS.

This means that once the shutdown process has started, in order to power the
computer off and on again,(even if the supply has already been reconnected),
just before the OS shuts down, the UPS daemon on the computer must tell the UPS
to switch off the power.

Once the computer is powered off, the UPS can then reconnect power back to the
computer, as soon as it's own supply has been reconnected for WAKEUP no of
seconds, set in /etc/apcupsd/apcupsd.conf.

As most volumes will be dismounted, the software and its associated libraries
which tell the UPS to power off must be contained only in the / partition, so a
cut down utility called apcupsd-lite is provided, installed in /sbin rather
than /usr/sbin

This bug will leave the UPS running, so the computer will not get power-cycled
(unless the battery runs down and the UPS shuts its-self off) and the computer
will not be restarted without manual intervention, even though the power supply
has been restored .

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >